
From: Adrian Bunk <bunk@fs.tum.de>

  CC      drivers/mtd/ftl.o
drivers/mtd/ftl.c: In function `scan_header':
drivers/mtd/ftl.c:191: warning: comparison is always false due to 
limited range 

Looking at the code it seems gcc is correct, a 16bit number can _never_
be > 65536. The following patch removes this comparison:



 25-akpm/drivers/mtd/ftl.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/mtd/ftl.c~ftl-warning-fix drivers/mtd/ftl.c
--- 25/drivers/mtd/ftl.c~ftl-warning-fix	Wed Jul 30 15:14:10 2003
+++ 25-akpm/drivers/mtd/ftl.c	Wed Jul 30 15:14:10 2003
@@ -188,7 +188,7 @@ static int scan_header(partition_t *part
 	printk(KERN_NOTICE "ftl_cs: FTL header not found.\n");
 	return -ENOENT;
     }
-    if ((le16_to_cpu(header.NumEraseUnits) > 65536) || header.BlockSize != 9 ||
+    if (header.BlockSize != 9 ||
 	(header.EraseUnitSize < 10) || (header.EraseUnitSize > 31) ||
 	(header.NumTransferUnits >= le16_to_cpu(header.NumEraseUnits))) {
 	printk(KERN_NOTICE "ftl_cs: FTL header corrupt!\n");

_
